## org.mortbay.setuid
Class Group

    java.lang.Object
      org.mortbay.setuid.Group

    public class Group

extends Object

Class is the equivalent java class used for holding values from native c code structure group. for more information please see man pages for getgrnam and getgrgid struct group { char *gr_name; // group name char *gr_passwd; // group password gid_t gr_gid; // group ID char **gr_mem; // group members };

Author:
  Leopoldo Lee Agdeppa III

Constructor Summary
`Group()`

Method Summary
`int` `getGrGid()`
`String[]` `getGrMem()`
`String` `getGrName()`
`String` `getGrPasswd()`
`void` `setGrGid(int grGid)`
`void` `setGrMem(String[] grMem)`
`void` `setGrName(String grName)`
`void` `setGrPasswd(String grPasswd)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Group

    public Group()

Method Detail

### getGrName

    public String getGrName()

### setGrName

    public void setGrName(String grName)

### getGrPasswd

    public String getGrPasswd()

### setGrPasswd

    public void setGrPasswd(String grPasswd)

### getGrGid

    public int getGrGid()

### setGrGid

    public void setGrGid(int grGid)

### getGrMem

    public String[] getGrMem()

### setGrMem

    public void setGrMem(String[] grMem)

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.